Get all interactions with interaction data using advanced query

post

/api/boss/data/objects/ora/cxServiceCore/interaction/v1/$en/interactions/$views/interactionContextData/$query

The interaction data is used to add contextual data for an interaction.

Request

Query Parameters
  • Effective date value in the ISO 8601 date format 'YYYY-MM-DD'. This date is required by business logic to search for effective-dated business objects.
Supported Media Types
Request Body - application/json ()
Root Schema : schema
Match All
Show Source
Nested Schema : schema
Match All
Show Source
Nested Schema : schema
Type: object
Show Source
  • accessors
    Maps accessor names to query objects specific to corresponding accessors. Query object for each accessor supports query capabilities similar to the base.
  • fields
    Restricts the resource fields. Only the specified fields and mandatory system fields are returned.
  • subTypes
    Maps discriminator values (as defined in subtypes) to query objects specific to corresponding subtypes. Subtype-specific query objects support a subset(fields,accessors,filter) of the query capabilities when compared to the base.
Nested Schema : type
Type: object
Show Source
Nested Schema : type
Type: object
Show Source
Nested Schema : accessors
Type: object
Maps accessor names to query objects specific to corresponding accessors. Query object for each accessor supports query capabilities similar to the base.
Nested Schema : fields
Type: array
Restricts the resource fields. Only the specified fields and mandatory system fields are returned.
Show Source
Nested Schema : subTypes
Type: object
Maps discriminator values (as defined in subtypes) to query objects specific to corresponding subtypes. Subtype-specific query objects support a subset(fields,accessors,filter) of the query capabilities when compared to the base.
Nested Schema : collection
Type: object
Defines query criteria that can be applied on a resource collection.
Show Source
  • The resource collection will be queried using the specified filter condition.
  • Specifies whether the server should estimate the total number of records for a given query and include the count in the response.
  • Restricts the number of resource items returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resource items.
  • Defines the starting position of the resource collection. If offset exceeds the resource count then no resource items are returned.
  • Represents the privilege or action required to check for while serving a request to access a resource.
  • sortBy
    Orders a resource collection based on the specified fields.
Nested Schema : sortBy
Type: array
Orders a resource collection based on the specified fields.
Show Source
Nested Schema : items
Match One Schema
Show Source
  • Name of field based on which sorting will happen. Order is ascending.
  • type
    Object with single entry. Key must be name of field based on which sorting will happen. Value must be either asc or desc to decide the sort order.
Nested Schema : type
Type: object
Object with single entry. Key must be name of field based on which sorting will happen. Value must be either asc or desc to decide the sort order.
Nested Schema : parameters
Type: object
Values to be applied in a parameterized filter specific to the view.
Back to Top

Response

Default Response

Successful response of retrieving view interactionContextData for resource Interactions
Body ()
Root Schema : interactions_view-interactionContextData
Match All
The interaction data is used to add contextual data for an interaction.
Show Source
Nested Schema : __collection_context
Type: object
Show Source
Nested Schema : interactions_view-interactionContextData-allOf[1]
Type: object
The interaction data is used to add contextual data for an interaction.
Show Source
Nested Schema : totalItems
Type: object
Show Source
Nested Schema : items
Type: array
Show Source
Nested Schema : items
Match All
Show Source
Nested Schema : __busObj_context
Type: object
Show Source
Nested Schema : items-allOf[1]
Type: object
Show Source
Nested Schema : $context
Type: object
Show Source
Nested Schema : contextualData
Match All
Show Source
Nested Schema : directionCode
Match All
The list of values for the direction of the interaction, either inbound or outbound.
Show Source
  • Title: Direction
    Default Value: ORA_SVC_INBOUND
    The list of values for the direction of the interaction, either inbound or outbound.
  • Allowed Values: [ "ORA_SVC_INBOUND", "ORA_SVC_OUTBOUND" ]
Nested Schema : stripeCode
Match All
The application stripe of the interaction.
Show Source
  • Title: Stripe Code
    Default Value: ORA_SVC_CRM
    The application stripe of the interaction.
  • Allowed Values: [ "ORA_SVC_CRM", "ORA_SVC_HRHD", "ORA_SVC_ISR" ]
Nested Schema : contextualData-allOf[1]
Type: object
Show Source
Nested Schema : items
Type: array
Show Source
Nested Schema : items
Match All
Show Source
Nested Schema : items-allOf[1]
Type: object
Show Source
Back to Top